Skip to main content
`Ctrl`+`K`

# TSPseudoVerifyTimeStep

Verifies whether the last timestep was acceptable.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSPseudoVerifyTimeStep(TS ts, Vec update, PetscReal *dt, PetscBool *flag)

Collective

## Input Parameters

- ts - timestep context

- update - latest solution vector

## Output Parameters

- dt - newly computed timestep (if it had to shrink)

- flag - indicates if current timestep was ok

## Notes

The routine to be called here to compute the timestep should be set by calling `TSPseudoSetVerifyTimeStep()`.

## See Also

TS: Scalable ODE and DAE Solvers, `TSPSEUDO`, `TSPseudoSetVerifyTimeStep()`, `TSPseudoVerifyTimeStepDefault()`

## Level

advanced

## Location

src/ts/impls/pseudo/posindep.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages